Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.chart.yui
Class CartesianSeries

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.chart.yui.CartesianSeries

    public class CartesianSeries

extends JsObject

CartesianSeries class for the YUI Charts widget. Defines a CartesianChart's vertical or horizontal axis.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`CartesianSeries()`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create()`
`java.lang.String` | `getXField()` Return the xField.
`java.lang.String` | `getYField()` The field used to access the y-axis value from the items from the data source.
`void` | `setXField(java.lang.String xField)` Set the xField.
`void` | `setYField(java.lang.String yField)` The field used to access the y-axis value from the items from the data source.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CartesianSeries

    public CartesianSeries()

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create()

### setXField

    public void setXField(java.lang.String xField)

  Set the xField. The field used to access the x-axis value from the items from the data source.

  Parameters:
    `xField` - the xField

### getXField

    public java.lang.String getXField()

  Return the xField.

  Returns:
    the xField

### setYField

    public void setYField(java.lang.String yField)

  The field used to access the y-axis value from the items from the data source.

  Parameters:
    `yField` - the yField

### getYField

    public java.lang.String getYField()

  The field used to access the y-axis value from the items from the data source.

  Returns:
    the yField

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD